## ucar.multiarray
Class OffsetDualIndexIterator

    java.lang.Object
      ucar.multiarray.IndexIterator
          ucar.multiarray.OffsetDualIndexIterator

final class OffsetDualIndexIterator
extends IndexIterator

Field Summary

Fields inherited from class ucar.multiarray.IndexIterator
`counter, limits, ncycles`

Constructor Summary
`(package private)` `OffsetDualIndexIterator(int[] theOffset, int[] theLimits)`

Method Summary
`void` `incr()` Increment the odometer
`int[]` `offsetValue()`

Methods inherited from class ucar.multiarray.IndexIterator
`advance, equals, isZero, main, notDone, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OffsetDualIndexIterator

    OffsetDualIndexIterator(int[] theOffset,
                            int[] theLimits)

Method Detail

### incr

    public void incr()

  Increment the odometer

  Overrides:
    `incr` in class `IndexIterator`

### offsetValue

    public int[] offsetValue()